Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.bundle
Class BundleAction

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.bundle.BundleAction

All Implemented Interfaces:
  Serializable, Comparable, org.springframework.core.enums.LabeledEnum

    public class BundleAction

extends org.springframework.core.enums.StaticLabeledEnum

Enum-like class for the `Bundle` actions supported by `BundleFactoryBean`.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static BundleAction` | `INSTALL` Install bundle.
`static BundleAction` | `START` Start bundle.
`static BundleAction` | `STOP` Stop bundle.
`static BundleAction` | `UNINSTALL` Uninstall bundle.
`static BundleAction` | `UPDATE` Update bundle.

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTALL

    public static final BundleAction INSTALL

  Install bundle. This action is implied by `START` and `UPDATE` in case no bundle is found in the existing OSGi BundleContext.

  See Also:
    `BundleContext.installBundle(String)`

### START

    public static final BundleAction START

  Start bundle. If no bundle is found, it will try first to install one based on the existing configuration.

  See Also:
    `Bundle.start()`

### UPDATE

    public static final BundleAction UPDATE

  Update bundle. If no bundle is found, it will try first to install one based on the existing configuration.

  See Also:
    `Bundle.update()`

### STOP

    public static final BundleAction STOP

  Stop bundle. If no bundle is found, this action does nothing (it will trigger loading).

  See Also:
    `Bundle.stop()`

### UNINSTALL

    public static final BundleAction UNINSTALL

  Uninstall bundle. If no bundle is found, this action does nothing (it will trigger loading).

  See Also:
    `Bundle.uninstall()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.